## org.hibernate.id.enhanced
Class OptimizerFactory.LegacyHiLoAlgorithmOptimizer

    java.lang.Object
      org.hibernate.id.enhanced.OptimizerFactory.OptimizerSupport
          org.hibernate.id.enhanced.OptimizerFactory.LegacyHiLoAlgorithmOptimizer

All Implemented Interfaces:
  Optimizer

Enclosing class:
  OptimizerFactory

    public static class OptimizerFactory.LegacyHiLoAlgorithmOptimizer

extends OptimizerFactory.OptimizerSupport

Field Summary

Fields inherited from class org.hibernate.id.enhanced.OptimizerFactory.OptimizerSupport
`incrementSize, returnClass`

Constructor Summary
`OptimizerFactory.LegacyHiLoAlgorithmOptimizer(Class returnClass, int incrementSize)`

Method Summary
`boolean` `applyIncrementSizeToSourceValues()` Are increments to be applied to the values stored in the underlying value source?
`Serializable` `generate(AccessCallback callback)` Generate an identifier value accounting for this specific optimization.
`IntegralDataTypeHolder` `getLastSourceValue()` A common means to access the last value obtained from the underlying source.
`IntegralDataTypeHolder` `getLastValue()` Getter for property 'lastValue'.

Methods inherited from class org.hibernate.id.enhanced.OptimizerFactory.OptimizerSupport
`getIncrementSize, getReturnClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OptimizerFactory.LegacyHiLoAlgorithmOptimizer

    public OptimizerFactory.LegacyHiLoAlgorithmOptimizer(Class returnClass,
                                                         int incrementSize)

Method Detail

### generate

    public Serializable generate(AccessCallback callback)

  Generate an identifier value accounting for this specific optimization.

  Parameters:
    `callback` - Callback to access the underlying value source.
  Returns:
    The generated identifier value.

### getLastSourceValue

    public IntegralDataTypeHolder getLastSourceValue()

  A common means to access the last value obtained from the underlying source. This is intended for testing purposes, since accessing the underlying database source directly is much more difficult.

  Returns:
    The last value we obtained from the underlying source; null indicates we have not yet consulted with the source.

### applyIncrementSizeToSourceValues

    public boolean applyIncrementSizeToSourceValues()

  Are increments to be applied to the values stored in the underlying value source?

  Returns:
    True if the values in the source are to be incremented according to the defined increment size; false otherwise, in which case the increment is totally an in memory construct.

### getLastValue

    public IntegralDataTypeHolder getLastValue()

  Getter for property 'lastValue'.

  Exposure intended for testing purposes.

  Returns:
    Value for property 'lastValue'.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.